Skip to main content
GET
/
v1
/
onboarding
/
entities
Retrieve Entity Onboarding Requests
curl --request GET \
  --url https://api.traxes.io/connect/v1/onboarding/entities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "action": {
        "documentationLink": "<string>",
        "redirectLink": "<string>",
        "type": "Consent"
      },
      "created": "2023-11-07T05:31:56Z",
      "data": {
        "collective": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "properties": "<unknown>",
          "type": "Household"
        },
        "entity": {
          "collectiveId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "information": {
            "type": "Battery",
            "brand": "<string>",
            "identifier": "<string>",
            "pairingCode": "<string>",
            "associatedEmail": "<string>",
            "name": "<string>",
            "track": "<string>"
          },
          "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "properties": "<unknown>",
          "reference": {
            "brand": "<string>",
            "type": "<string>",
            "identifier": "<string>"
          },
          "systemProperties": "<unknown>",
          "type": "Battery"
        }
      },
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "principalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "requestType": "Collective",
      "returnUrl": "<string>",
      "status": "Canceled",
      "errors": [
        {
          "code": "<string>",
          "message": "<string>"
        }
      ]
    }
  ],
  "links": {
    "next": "<string>"
  },
  "meta": {
    "continuationToken": "<string>",
    "pageSize": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Access Token Authentication

Query Parameters

brand
string

The brand to filter on

type
enum<string>

The type to filter on

Available options:
Battery,
ChargePoint,
EV,
HeatPump,
SolarPlant,
RetrofitMeter,
Meter,
Inverter
identifier
string

The identifier to filter on

status
enum<string>

The status to filter on

Available options:
Canceled,
Failed,
InProgress,
Pending,
Succeeded
action
enum<string>

The action to filter on

Available options:
Connect,
CreateCollective,
CreateEntity,
CreatePermissions,
RefreshConnection
pageSize
integer<int32>
default:25

The number of Entity Onboarding Requests per page

continuationToken
string

The token used to retrieve the next page

Response

OK

A page of onboarding requests

data
object[] | null
meta
object